Cannot update system or install packages «signature from XXX is unknown trust :: File /XXX.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).»

Hardware information
cpu:                                                            
                       Intel(R) Core(TM) i5-3320M CPU @ 2.60GHz, 1600 MHz
                       Intel(R) Core(TM) i5-3320M CPU @ 2.60GHz, 1616 MHz
                       Intel(R) Core(TM) i5-3320M CPU @ 2.60GHz, 1691 MHz
                       Intel(R) Core(TM) i5-3320M CPU @ 2.60GHz, 1533 MHz
keyboard:
  /dev/input/event3    AT Translated Set 2 keyboard
mouse:
  /dev/input/mice      SynPS/2 Synaptics TouchPad
  /dev/input/mice      TPPS/2 IBM TrackPoint
graphics card:
                       Intel VGA compatible controller
sound:
                       Intel Audio device
storage:
                       Intel SATA controller
network:
  wlp3s0               Intel WiFi Link 6000 Series
  enp0s25              Intel Ethernet controller
network interface:
  enp0s25              Ethernet network interface
  lo                   Loopback network interface
  wlp3s0               Ethernet network interface
disk:
  /dev/sda             HGST HTS725050A7
partition:
  /dev/sda1            Partition
  /dev/sda2            Partition
  /dev/sda3            Partition
cdrom:
  /dev/sr0             PLDS DVD-RW DS8A8SH
usb controller:
                       Intel USB Controller
                       Intel USB Controller
                       Intel USB Controller
bios:
                       BIOS
bridge:
                       Intel PCI bridge
                       Intel ISA bridge
                       Intel Host bridge
                       Intel PCI bridge
                       Intel PCI bridge
hub:
                       Hub
                       Linux 5.2.11-3-CHAKRA xhci-hcd xHCI Host Controller
                       Linux 5.2.11-3-CHAKRA xhci-hcd xHCI Host Controller
                       Linux 5.2.11-3-CHAKRA ehci_hcd EHCI Host Controller
                       Hub
                       Linux 5.2.11-3-CHAKRA ehci_hcd EHCI Host Controller
memory:
                       Main Memory
unknown:
                       FPU
                       DMA controller
                       PIC
                       Keyboard controller
                       Ricoh System peripheral
                       Intel Communication controller
                       Intel SMBus
                       Intel Serial controller
                       Serial controller
                       Broadcom BCM20702A0
                       Ricoh Company Integrated Camera

pacman.conf (2.7 KB)
mirrorlist.conf (1.8 KB)
pacman.log (565.1 KB)

Whenever I try to update the system or install any package I get the same error for each and every package:

error: babl: signature from "Jeff Huang <s8321414@gmail.com>" is unknown trust
:: File /var/cache/pacman/pkg/babl-0.1.72-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: sqlite: signature from "Chaka Build Server (Automated Chakra Build System) <staff@chakralinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/sqlite-3.30.1-1-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: qt5-base: signature from "Hans Tovetjärn <totte@chakralinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/qt5-base-5.13.2-2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: qt5-declarative: signature from "Hans Tovetjärn <totte@chakralinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/qt5-declarative-5.13.2-2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: qt5-x11extras: signature from "Hans Tovetjärn <totte@chakralinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/qt5-x11extras-5.13.2-2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: qt5-script: signature from "Hans Tovetjärn <totte@chakralinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/qt5-script-5.13.2-2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: qt5-multimedia: signature from "Hans Tovetjärn <totte@chakralinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/qt5-multimedia-5.13.2-2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: qt5-speech: signature from "Hans Tovetjärn <totte@chakralinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/qt5-speech-5.13.2-2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n
error: qt5-svg: signature from "Hans Tovetjärn <totte@chakralinux.org>" is unknown trust
:: File /var/cache/pacman/pkg/qt5-svg-5.13.2-2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] n

pacman I’m using is 5.2.0-2

As there’s no help about this issue regarding chakralinux I’ve been following instructions form ArchLinux and Manjaro.

I’ve done everything from:



https://bbs.archlinux.org/viewtopic.php?id=233480

I’ve found out I don’t have chakra-keyring installed. It seems I never needed it. Anyway, I cannot install it, of course, as I cannot install any package.

Is there a way to disable the package integrity checking, at least?

This might help.

Also, use code tags. Single backticks for inline, triple backticks for blocks. Edit your post accordingly.

Thanks, that worked.

How come chakra-keyring was not installed by default if it was needed beforehand?

See the same topic that was already linked to, post #14:

1 Like